View Issue Details

IDProjectCategoryView StatusLast Update
0032866Open CASCADEOCCT:Visualizationpublic2022-10-19 15:50
Reporterkgv Assigned Tovpozdyayev  
PrioritynormalSeveritymajor 
Status verifiedResolutionfixed 
Product Version7.7.0 
Target Version7.7.0 
Summary0032866: Visualization, TKOpenGles - FitAll() is broken when performance counters are displayed
DescriptionActivation of performance counters leads to broken FitAll within OpenGL ES renderer (REGRESSION after 0032722).
Steps To Reproduce
pload MODELING VISUALIZATION
box b 1 2 3

vdriver -load GLES
#vcaps -maxVersion 2 0 -noExtensions
vinit View1
vrenderparams -perfCounters triangles
vdisplay -dispMode 1 b
vfit

Actual result: empty screen.
Expected result: box fits entire screen.
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0032722 verifiedsmoskvin Visualization, TKOpenGl - performance counters disappear at some camera viewpoints 

Activities

git

2022-03-07 02:13

administrator   ~0107232

Branch CR32866 has been created by kgv.

SHA-1: 8ca58a51a710e3024b0c6bcf21c01fc2181a6cf8


Detailed log of new commits:

Author: kgv
Date: Mon Mar 7 02:13:22 2022 +0300

    0032866: Visualization, TKOpenGles - FitAll() is broken when performance counters are displayed
    
    OpenGl_View::MinMaxValues() - added missing theToIncludeAuxiliary check.

kgv

2022-03-07 11:34

developer   ~0107233

Please raise the patch
- OCCT: branch CR32866.

http://jenkins-test-occt.nnov.opencascade.com/view/CR32866-master-KGV/

smoskvin

2022-03-19 10:20

administrator   ~0107358

Combination -
OCCT branch : IR-2022-03-18
master SHA - e720157864e4bb408d607298610b464977491228
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-03-18 SHA - 6db9c4d2fd384d381f9025284eac8b04e33ac8e8
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18487.460000000385 / 18395.730000000258 [+0.50%]
Products
Total CPU difference: 11709.300000000132 / 11708.150000000112 [+0.01%]
Windows-64-VC14:
OCCT
Total CPU difference: 20412.546875 / 20350.609375 [+0.30%]
Products
Total CPU difference: 13181.25 / 13154.5625 [+0.20%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-03-19 17:18

administrator   ~0107370

Branch CR32866 has been deleted by mnt.

SHA-1: 8ca58a51a710e3024b0c6bcf21c01fc2181a6cf8

Related Changesets

occt: master 8ca58a51

2022-03-07 02:13:22

kgv

Details Diff
0032866: Visualization, TKOpenGles - FitAll() is broken when performance counters are displayed

OpenGl_View::MinMaxValues() - added missing theToIncludeAuxiliary check.
Affected Issues
0032866
mod - src/OpenGl/OpenGl_View.cxx Diff File

Issue History

Date Modified Username Field Change
2022-03-07 02:10 kgv New Issue
2022-03-07 02:10 kgv Assigned To => kgv
2022-03-07 02:10 kgv Relationship added child of 0032722
2022-03-07 02:11 kgv Product Version => 7.7.0
2022-03-07 02:13 git Note Added: 0107232
2022-03-07 11:34 kgv Test case number => N/A
2022-03-07 11:34 kgv Note Added: 0107233
2022-03-07 11:34 kgv Description Updated
2022-03-07 11:35 kgv Steps to Reproduce Updated
2022-03-07 11:35 kgv Assigned To kgv => bugmaster
2022-03-07 11:35 kgv Status new => resolved
2022-03-07 11:36 kgv Status resolved => reviewed
2022-03-19 10:20 smoskvin Status reviewed => tested
2022-03-19 10:20 smoskvin Note Added: 0107358
2022-03-19 16:35 kgv Changeset attached => occt master 8ca58a51
2022-03-19 16:35 kgv Assigned To bugmaster => kgv
2022-03-19 16:35 kgv Status tested => verified
2022-03-19 16:35 kgv Resolution open => fixed
2022-03-19 17:18 git Note Added: 0107370
2022-10-19 15:50 smoskvin Assigned To kgv => vpozdyayev